2020-08-09 19:51 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002994Spring engineGeneralpublic2012-12-04 16:29
Reporterabma 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version86.0.1+git 
Target VersionFixed in Version88.0 
Summary0002994: strange unit bumping when multiple units move to a single point
Descriptionto reproduce (in ba)

/cheat
/give 20 armbull
ctrl + a

let them move all to one point

-> units bump each other for a long time

the more units, the longer they bump...



Additional InformationSpring 86.0.1-39-ga02ad9a HEAD (Debug)

(release branch)
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
related to 0003355resolvedKloot [91.0.1-566] Many units trying to move to one spot cause high cpu load 
+Relationships

-Notes

~0008381

abma (administrator)

(major because imo it causes a big performance decrease)

~0008382

Kloot (developer)

my CPU usage (with a debug build) does not rise above 10% when playing that demo...

(and wrt strangeness, 100 units moving to a single point has never looked elegant in any Spring version)

~0008383

Google_Frog (reporter)

Last edited: 2012-03-03 12:00

It occurs with few units and it isn't a performance problem. It just looks really bad. I can reproduce it very easilly with 7 armpw in ZK.


Units have lost their 'close enough to move goal' behaviour.

~0008385

Kloot (developer)

Last edited: 2012-03-03 12:13

Stop making shit up.

There was never a "'close enough to move goal' behaviour", only a "give up after not getting closer" behaviour. And guess what, players complained about that too because the "giving up" part could happen anywhere at any distance.

~0008386

abma (administrator)

Last edited: 2012-03-03 15:35

yeah, i know that it is maybe fine as it currently is.


imo its bad that the units keeps bumping for a long time, but i'm not sure if that can be solved. this will have the side-effect, that units, that gets bumped don't move back to their old possition i think.

i see this as performance decrease, because units that should be idle, aren't idle.

~0008388

Google_Frog (reporter)

Call "'close enough to move goal' behaviour" emergent. Whatever you call it this has been lost between 85.0 and 86.0

The units in my replay don't have a move command when they are jittering and are less than 50 elmos away from their move goal.

~0008767

Google_Frog (reporter)

Fixed? If you don't use any push resistance (not even enemy push resistance) then local unit movement behaviour works reasonably well.

~0008775

Kloot (developer)

units with push resistance also behave fine, uni- and bi-directional.
+Notes

-Issue History
Date Modified Username Field Change
2012-03-03 04:18 abma New Issue
2012-03-03 04:21 abma File Added: 20120303_041612_DeltaSiegeDry_86.0.1-39-ga02ad9a HEAD.sdf
2012-03-03 04:22 abma Description Updated
2012-03-03 04:22 abma Additional Information Updated
2012-03-03 10:24 abma Note Added: 0008381
2012-03-03 11:15 Kloot Note Added: 0008382
2012-03-03 11:57 Google_Frog Note Added: 0008383
2012-03-03 11:59 Google_Frog Note Edited: 0008383
2012-03-03 12:00 Google_Frog Note Edited: 0008383
2012-03-03 12:02 Google_Frog File Added: 20120303_215730_Comet Catcher Redux_86_zk0_9_9_5.sdf
2012-03-03 12:10 Kloot Note Added: 0008385
2012-03-03 12:13 Kloot Note Edited: 0008385
2012-03-03 15:34 abma Note Added: 0008386
2012-03-03 15:35 abma Note Edited: 0008386
2012-03-03 16:24 Google_Frog Note Added: 0008388
2012-06-14 06:10 Google_Frog Note Added: 0008767
2012-06-14 13:50 Kloot Note Added: 0008775
2012-06-14 13:50 Kloot Status new => resolved
2012-06-14 13:50 Kloot Fixed in Version => 88.0
2012-06-14 13:50 Kloot Resolution open => fixed
2012-06-14 13:50 Kloot Assigned To => Kloot
2012-12-04 16:29 abma Relationship added related to 0003355
+Issue History